client = {}

function client:OnPCIeCardPropertiesChanged(cb)
    local values = {
        ['PcbVersion'] = '.B'
    }
    local path = '/bmc/kepler/pciecard/3'
    cb(values, path, '*')
end

function client:ForeachPCIeCardObjects(cb)
    local objs = {
        {
            path = '/bmc/kepler/pciecard/1',
            DeviceName = 'PCIe Card 1 RAID',
            PcbVersion = '.A'
        },
        {
            path = '/bmc/kepler/pciecard/2',
            DeviceName = 'PCIe Card 2 NetworkAdpter',
            PcbVersion = '.B'
        },
        {
            path = '/bmc/kepler/pciecard/3',
            DeviceName = 'PCIe Card 3 RAID',
            PcbVersion = '.B'
        },
    }
    for _, obj in pairs(objs) do
        cb(obj)
    end
end

return client